#include <stdlib.h>
#include <time.h>
#include "othello.h"

int nishi0(char* board, int status)
{
    int a, i, r;
    static int s = 0;
    static int l[64];
    
    switch (status) {
    case INIT_AS_BLACK:
    case INIT_AS_WHITE:
        for (i = 0; i < 64; i++) l[i] = i;
        srand(time(NULL));
        for (i = 0; i < 64; i++) {
            a = rand() % 64;
            if (a != i) { l[a] ^= l[i]; l[i] ^= l[a]; l[a] ^= l[i]; }
        }
        r = 0;
        break;
    case NORM:
        do {
            s = (s + 1) % 64;
        } while (Put(board, l[s], MY_COLOR, NOT_CHANGE) == 0);
        r = l[s];
        break;
    case PASS:
        r = 0;
        break;
    default:
        r = -1;
    }
    return r;
}
